Loading...
Searching...
No Matches
BALL::Peptides::AminoAcidDescriptor Class Reference
Molecular Modeling » Molecular Structure » Creation of peptides

`#include <BALL/STRUCTURE/peptideBuilder.h>`

## Public Member Functions

| AminoAcidDescriptor ()
| AminoAcidDescriptor (const String &type, const Angle &phi=Angle(-47., false), const Angle &psi=Angle(-58., false), const Angle &omega=Angle(180., false))
virtual | ~AminoAcidDescriptor ()
| Default angles: sheet ????
| AminoAcidDescriptor (const AminoAcidDescriptor &aad)
void | setAminoAcidType (const String &type)
void | setPhi (const Angle &phi)
void | setPsi (const Angle &psi)
void | setOmega (const Angle &omega)
const String & | getType () const
const Angle & | getPhi () const
const Angle & | getPsi () const
const Angle & | getOmega () const

## Protected Attributes

String | type_
Angle | phi_
Angle | psi_
Angle | omega_

## Detailed Description

This class represents one amino acid in the sequence.

Definition at line 21 of file peptideBuilder.h.

## Constructor & Destructor Documentation

## AminoAcidDescriptor() [1/3]

BALL::Peptides::AminoAcidDescriptor::AminoAcidDescriptor | ( |  | ) |

Default constructor.

## AminoAcidDescriptor() [2/3]

BALL::Peptides::AminoAcidDescriptor::AminoAcidDescriptor | ( | const String & | type,
|  | const Angle & | phi = Angle(-47., false),
|  | const Angle & | psi = Angle(-58., false),
|  | const Angle & | omega = Angle(180., false) )

Detailed constructor. Here, type is considered to be either a three - letter or a one letter string for the amino acid type, phi is the torsion angle phi, psi is the psi torsion angle and omega is the angle of the peptide bond. By default, a standard alpha-helical geometry is constructed.

## ~AminoAcidDescriptor()

virtual BALL::Peptides::AminoAcidDescriptor::~AminoAcidDescriptor | ( |  | ) |

virtual

Default angles: sheet ????

Destructor.

## AminoAcidDescriptor() [3/3]

BALL::Peptides::AminoAcidDescriptor::AminoAcidDescriptor | ( | const AminoAcidDescriptor & | aad | ) |

copy constructor

## Member Function Documentation

## getOmega()

const Angle & BALL::Peptides::AminoAcidDescriptor::getOmega | ( |  | ) | const

Returns the angle of the peptide bond omega.

## getPhi()

const Angle & BALL::Peptides::AminoAcidDescriptor::getPhi | ( |  | ) | const

Returns the torsion angle phi.

## getPsi()

const Angle & BALL::Peptides::AminoAcidDescriptor::getPsi | ( |  | ) | const

Returns the torsion angle psi.

## getType()

const String & BALL::Peptides::AminoAcidDescriptor::getType | ( |  | ) | const

Returns the type of this amino acid.

## setAminoAcidType()

void BALL::Peptides::AminoAcidDescriptor::setAminoAcidType | ( | const String & | type | ) |

Set the type of the amino acid. type is considered to be a one - or three letter code.

## setOmega()

void BALL::Peptides::AminoAcidDescriptor::setOmega | ( | const Angle & | omega | ) |

Set the peptide bond angle omega.

## setPhi()

void BALL::Peptides::AminoAcidDescriptor::setPhi | ( | const Angle & | phi | ) |

Set the torsion angle phi.

## setPsi()

void BALL::Peptides::AminoAcidDescriptor::setPsi | ( | const Angle & | psi | ) |

Set the torsion angle psi.

## Member Data Documentation

## omega_

Angle BALL::Peptides::AminoAcidDescriptor::omega_

protected

Definition at line 85 of file peptideBuilder.h.

## phi_

Angle BALL::Peptides::AminoAcidDescriptor::phi_

protected

Definition at line 83 of file peptideBuilder.h.

## psi_

Angle BALL::Peptides::AminoAcidDescriptor::psi_

protected

Definition at line 84 of file peptideBuilder.h.

## type_

String BALL::Peptides::AminoAcidDescriptor::type_

protected

Definition at line 82 of file peptideBuilder.h.